Next Commerce
Webhook Event ReferencePayments

dispute.updated

Triggers when a dispute is updated.

Request Body

application/json

api_version?string

API Version of the object data schema.

data?
event_id?string

Unique id associated with this webhook event.

Formatuuid
event_type?string

Webhook event type of the current event.

object?string

Object data type.

webhook?

Response Body

Example Requests

POST/dispute.updated

{
  "api_version": "2024-04-01",
  "data": {
    "amount": null,
    "arn": null,
    "case_number": null,
    "currency": null,
    "date_created": "2024-01-01T00:00:00Z",
    "happened_at": "2024-01-01T00:00:00Z",
    "id": 0,
    "metadata": {},
    "order": null,
    "report_amount": null,
    "report_currency": null,
    "resolution": null,
    "resolution_other_message": null,
    "status": "string",
    "transaction": null,
    "type": "string"
  },
  "event_id": "a7a26ff2-e851-45b6-9634-d595f45458b7",
  "event_type": "dispute.updated",
  "object": "dispute",
  "webhook": {
    "events": [
      "dispute.updated"
    ],
    "id": 1,
    "store": "example",
    "target": "https://example.com/webhook/"
  }
}